﻿using UnityEngine;
using UnityEngine.UI;
using UIWidgets;

namespace UIWidgetsSamples {
	public class ChatLineComponent : ListViewItem {
		// specify components for displaying item data
		[SerializeField]
		public Text UserName;
		
		[SerializeField]
		public Text Message;
		
		[SerializeField]
		public Text Time;

		// Displaying item data
		public void SetData(ChatLine item)
		{
			UserName.text = item.UserName;
			Message.text = item.Message;
			Time.text = item.Time.ToString("[HH:mm:ss]");

			// change colors depend of item.Type
			if (item.Type==ChatLineType.System)
			{
				UserName.color = Color.red;
				Message.color = Color.red;
			}
			else
			{
				UserName.color = Color.yellow;
				Message.color = Color.white;
			}

			Utilites.UpdateLayout(GetComponent<LayoutGroup>());
		}
	}
}