﻿using UnityEngine;
using UnityEngine.UI;
using System;

namespace UIWidgetsSamples {
	public class ChatViewTest : MonoBehaviour {
		[SerializeField]
		public ChatView Chat;

		[SerializeField]
		public InputField Message;

		[SerializeField]
		public InputField UserName;

		public void SendMessage()
		{
			if ((UserName.text.Trim()=="") || Message.text.Trim()=="")
			{
				return ;
			}
			// add new message to chat
			Chat.DataSource.Add(new ChatLine(){
				UserName = UserName.text,
				Message = Message.text,
				Time = DateTime.Now,
				Type = (UserName.text=="System") ? ChatLineType.System : ChatLineType.User,
			});

			Message.text = "";

			// recalculate container size
			var fitter = Chat.Container.GetComponent<ContentSizeFitter>();
			fitter.SetLayoutHorizontal();
			fitter.SetLayoutVertical();

			// scroll to end
			Chat.ScrollRect.verticalNormalizedPosition = 0f;
		}
	}
}